MODULE trddyn_oce
   !!======================================================================
   !!                      ***  trddyn_oce  ***
   !! Ocean trends :  dynamical trends arrays defined in memory 
   !!======================================================================
#if   defined key_trddyn   ||   defined key_esopa || defined key_trd_vor
   !!----------------------------------------------------------------------
   !!   'key_trddyn'                             momentum trend diagnostics
   !!----------------------------------------------------------------------
   !! * Modules used
   USE par_oce      ! ocean parameters

   IMPLICIT NONE
   PUBLIC

    INTEGER  ::      & !!! namdia :  diagnostics on dynamics and/or tracer trends
      ntrd=10,   &
      nctls=0

   REAL(wp) ::   &
      tvols,     &  ! volume of the whole ocean computed at t-points
      tvolu,     &  ! volume of the whole ocean computed at u-points
      tvolv,     &  ! volume of the whole ocean computed at v-points
      rpktrd        ! potential to kinetic energy conversion
   REAL(wp), DIMENSION(jpi,jpj,jpk,9) ::   & 
      utrd,      &  ! trends of the momentum equation
      vtrd
   REAL(wp), DIMENSION(jpi,jpj,2) ::   & 
      utrd2,     &  ! trend with the free surface formulation
      vtrd2
   REAL(wp), DIMENSION(jpi,jpj,4) ::    &
      tautrd        ! momentum forcing trends
#else
   !!----------------------------------------------------------------------
   !!   Default case                          NO momentum trend diagnostics
   !!----------------------------------------------------------------------
#endif
   !!----------------------------------------------------------------------
END MODULE trddyn_oce
