CDIR$ LIST
       SUBROUTINE p4zprg(kt)
CCC---------------------------------------------------------------------
CCC
CCC           ROUTINE p4zprg : PISCES MODEL
CCC           *****************************
CCC
CCC  PURPOSE :
CCC  ---------
CCC     Call Biological sources and sinks subroutines
CCC
CC   INPUT :
CC   -----
CC      argument
CC              ktask           : task identificator
CC              kt              : time step
CC      common
CC              all the common defined in opa
CC
CC
CC   OUTPUT :                   : no
CC   ------
CC
CC   WORKSPACE :
CC   ---------
CC
CC   EXTERNAL :
CC   --------
CC      p4zche, p4zint, p4zlys, p4zbio, p4zsed, p4zflx
CC
CC   MODIFICATIONS:
CC   --------------
CC      original  : O. AUMONT (2004)
CC----------------------------------------------------------------------
CC parameters and commons
CC ======================
CDIR$ NOLIST
      USE trp_trc
      USE sms
CC
      USE oce_trc
CC
      IMPLICIT NONE
CDIR$ LIST
CC----------------------------------------------------------------------
CC local declarations
CC ==================
      INTEGER kt
      INTEGER jnt, jn

#if defined key_passivetrc && defined key_trc_pisces
C
C this part is without macrotasking coding
C
C
C Compute chemical variables
C --------------------------
C

          CALL p4zche
C......................................................................
C
C Interpolate chemical variables
C ------------------------------
C


          CALL p4zint(kt)
C
C......................................................................
C
C Compute CaCO3 saturation
C ------------------------
C


          CALL p4zlys
C......................................................................
C
C Compute soft tissue production (POC)
C ------------------------------------

       do jnt=1,nrdttrc
C
          CALL p4zbio
C
C......................................................................
C
C Compute soft tissue remineralisation
C ------------------------------------
C
 

         CALL p4zsed

          trb=trn
        end DO


C
C......................................................................
C
C Compute surface fluxes
C ----------------------
C
      CALL p4zflx
 

C
C......................................................................
C
#endif
C
      RETURN
      END

