C $Id$
CCC---------------------------------------------------------------------
CCC
CCC                        trcini.lobster1.h
CCC                       ******************
CCC
CCC  purpose :
CCC  ---------
CCC     specific initialisation for lobster1 model
CCC
CCC  modifications :
CC   -------------
CC      original    : 99-09 (M. Levy) 
CC      additions   : 00-12 (0. Aumont, E. Kestenare)
CC                           add sediment computations
CC
CCC---------------------------------------------------------------------
CCC  opa8, ipsl (11/96)
CCC---------------------------------------------------------------------
CC local declarations
CC ==================
      INTEGER ji,jj,jk
      REAL zdm0(jpi,jpj,jpk),zrro(jpi,jpj),zfluo,zfluu
      REAL ztest
C
C 1. initialization of fields for optical model
C --------------------------------------------
C
      DO jj=1,jpj
        DO ji=1,jpi
          xze(ji,jj)=5.
        END DO
      END DO

      DO jk=1,jpk
        DO jj=1,jpj
          DO ji=1,jpi
            xpar(ji,jj,jk)=0.
          END DO
        END DO
      END DO
C
C 2. initialization for passive tracer remineralisation-damping  array
C -------------------------------------------------------------------------
C 
      DO jn=1,jptra
        DO jk=1,jpk
          remdmp(jk,jn)=tminr
        END DO 
      END DO
C
      IF(lwp) THEN
          WRITE(numout,*) ' '
          WRITE(numout,*) ' trcini: compute remineralisation-damping  '
          WRITE(numout,*) '         arrays for tracers'
      ENDIF
C
C 3. initialization of biological variables
C ------------------------------------------
C
C Calculate vertical distribution of newly formed biogenic poc
C in the water column in the case of max. possible bottom depth
C ------------------------------------------------------------
C
      zdm0   = 0.
      zrro = 1.
      DO jk = jpkb,jpkm1
C
      DO jj = 1,jpj
        DO ji = 1,jpi
C
            zfluo = (fsdepw(ji,jj,jk)/fsdepw(ji,jj,jpkb))**xhr 
            zfluu = (fsdepw(ji,jj,jk+1)/fsdepw(ji,jj,jpkb))**xhr
            IF (zfluo.gt.1.) zfluo = 1.
            zdm0(ji,jj,jk) = zfluo-zfluu
            IF (jk.le.jpkb-1) zdm0(ji,jj,jk)=0.
            zrro(ji,jj) = zrro(ji,jj)-zdm0(ji,jj,jk)
C
        ENDDO
      ENDDO
C
      ENDDO
C
      DO jj = 1,jpj
        DO ji = 1,jpi
          zdm0(ji,jj,jpk) = zrro(ji,jj)
        ENDDO
      ENDDO
C
C Calculate vertical distribution of newly formed biogenic poc
C in the water column with realistic topography (first "dry" layer
C contains total fraction, which has passed to the upper layers)
C ----------------------------------------------------------------------
C
      dminl = 0.
      dmin3 = zdm0
C
      DO jk = 1,jpk
         DO jj = 1,jpj
           DO ji = 1,jpi

            IF(tmask(ji,jj,jk).eq.0.) THEN
                dminl(ji,jj) = dminl(ji,jj)+dmin3(ji,jj,jk)
                dmin3(ji,jj,jk) = 0.0
            ENDIF
C
          ENDDO
        ENDDO
      ENDDO
C
      DO jj = 1,jpj
        DO ji = 1,jpi
          IF (tmask(ji,jj,1).eq.0.) dmin3(ji,jj,1) = 0.
        ENDDO
      ENDDO
C
C    CALCUL DU MASK DE COTE
C
        cmask=0.
        do ji=2,jpi-1
          do jj=2,jpj-1
            if (tmask(ji,jj,1).eq.1) then
             ztest=tmask(ji+1,jj,1)*tmask(ji-1,jj,1)*tmask(ji,jj+1,1)
     .             *tmask(ji,jj-1,1)
             if (ztest.eq.0) cmask(ji,jj)=1.
             endif
          end do
        end do

        cmask(1,:)=cmask(jpi-1,:)
        cmask(jpi,:)=cmask(2,:)
C
C     CALCUL DE LA SURFACE COTIERE
C
         areacot=0.
         do ji=2,jpi-1
          do jj=2,jpj-1
          areacot=areacot+e1t(ji,jj)*e2t(ji,jj)*cmask(ji,jj)
          end do
         end do

