C $Id$
CCC
CCC                        trclsm.age.h
CCC                     **********************
CCC
CCC  PURPOSE :
CCC  ---------
CCC     READ the specific NAMELIST for AGE TRACER model
CCC
CC   METHOD :                   : no
CC   -------
CC
CC   INPUT :
CC   -----
CC      the namelist FILE ( UNIT numnat ) :
CC            &natage           : biological parameters 
CC
CC   OUTPUT :
CC   ------
CC      COMMON                  : 
CC            /cotage/          : biological parameters
CC
CC   WORKSPACE :                : no
CC   ---------
CC
CC   MODIFICATIONS:
CC   --------------
CC      original  : 02-05 O. Aumont
CC----------------------------------------------------------------------
CDIR$ LIST
CC----------------------------------------------------------------------
CC local declarations
CC ==================

#if defined key_passivetrc && defined key_trc_age
      INTEGER ji
      CHARACTER*32 clname

CC
CCC---------------------------------------------------------------------
CCC  OPA8, LODYC (15/11/96)
CCC---------------------------------------------------------------------
C
C 0. initializations
C ------------------
C
      namelist/natage/tauage1,tauage2


      IF(lwp) THEN
          WRITE(numout,*) ' '
          WRITE(numout,*) ' ROUTINE trclsm'
          WRITE(numout,*) ' **************'
          WRITE(numout,*) ' '
          WRITE(numout,*) ' namelist for age tracer model'
          WRITE(numout,*) ' ***************************'
          WRITE(numout,*) ' '
      ENDIF
C
      numnat=80
      clname ='namelist_age'
      OPEN( numnat, FILE= clname, FORM='formatted', STATUS = 'old')


C
C
C
C 1.4 namelist natage : restoring time constant
C
      tauage1 = 7.
      tauage2 = 1.
C
C
      READ(numnat,natage)
C
      IF(lwp) THEN
          WRITE(numout,*) 'natage'
          WRITE(numout,*) ' '
          WRITE(numout,*)
     $        ' restoring time constant  tauage1 =', tauage1
          WRITE(numout,*)
     $        ' incrementation constant tauage2 =', tauage2
      ENDIF
C
#else
C
C no passive tracers
C
#endif
