CCC $Header$
CCC
CCC                       trclsm.hamocc3.h
CCC                       ****************
CCC
CCC  PURPOSE :
CCC  ---------
CCC     READs and PRINT options for HAMOCC3 or P3ZD namelist
CCC
CC   METHOD :                   : no
CC   -------
CC
CC   INPUT :
CC   -----
CC            &natgas
CC            &natext
CC            &natbio           : biological parameters (#ifdef key_npzd_aumont)
CC
CC   OUTPUT :
CC   ------
CC      COMMON                  : (#ifdef "key_passivetrc")
CC           /cotgas/
CC           /cotcon/
CC           /cotbio/           :(#ifdef "key_npzd_aumont")
CC
CC   WORKSPACE :                : no
CC   ---------
CC
CC   MODIFICATIONS:
CC   --------------
CC      original  : 99-10 (M.A. Foujols, M. Levy) passive tracer
CC      addition  : 00-01 (L. Bopp) hamocc3,p3zd
CC     
CC----------------------------------------------------------------------
CDIR$ LIST
CC----------------------------------------------------------------------
CC local declarations
CC ==================

#if defined key_passivetrc && defined key_trc_hamocc3
      INTEGER ji
      CHARACTER*32 clname

CC
CCC---------------------------------------------------------------------
CCC  OPA8, LODYC (15/11/96)
CCC---------------------------------------------------------------------
C
C 0. initializations
C ------------------
C
       namelist/natgas/ gasfac, igaswind, icice
       namelist/natext/ ilecvit,atcco2
       namelist/natbio/silic0,pendec,pendes,fluexp,caco3r,
     .   dispo0,conc0,oxymin,grosip,jpkb,sedlam,
     .   sedlostpoc,sedlostsil,sedlostcal
#    if defined key_trc_p3zd
     .   ,pislope,betslope,ekc,ekw1,ekw2,
     .   excret,epsbio,wsbio,wchl,resrat,mprat,mzrat,grazrat,
     .   xprefc,xprefp,unass,xkgraz,xkmort,xksi1,xksi2,
     .   sicmax,xremip,xremik,smax,xkdoc1,xkdoc2
#    endif


#    if defined key_trc_p3zd
      IF(lwp) THEN
          WRITE(0,*) ' '
          WRITE(0,*) ' ROUTINE trclec'
          WRITE(0,*) ' **************'
          WRITE(0,*) ' '
          WRITE(0,*) ' namelist for P3ZD model'
          WRITE(0,*) ' ***********************'
          WRITE(0,*) ' '
      ENDIF
#    else
      IF(lwp) THEN
          WRITE(0,*) ' '
          WRITE(0,*) ' ROUTINE trclec'
          WRITE(0,*) ' **************'
          WRITE(0,*) ' '
          WRITE(0,*) ' namelist for HAMOCC3 model'
          WRITE(0,*) ' ***********************'
          WRITE(0,*) ' '
      ENDIF
#    endif
C
      numnat=80
      clname ='namelist.trc.sms'
      OPEN( numnat, FILE= clname, FORM='formatted', STATUS = 'old')

C
C 1 Namelist natgas :
C
      READ(numnat,natgas)
C
      IF(lwp) THEN
          WRITE(0,*) ' '
          WRITE(0,*) 'natgas'
          write(0,*) 'gasfac = ',gasfac
          WRITE(0,*) ' '
          write(0,*) 'igaswind = ',igaswind
          WRITE(0,*) ' '
          write(0,*) 'icice = ',icice
          WRITE(0,*) ' '

      ENDIF
C
C 2 Namelist natext :
C
      READ(numnat,natext)
C
      IF(lwp) THEN
          WRITE(0,*) ' '
          WRITE(0,*) 'natext'
          write(0,*)'ilecvit = ',ilecvit
          WRITE(0,*) ' '
          WRITE(0,*) 'atmospheric pCO2= ',atcco2
          WRITE(0,*) ' '
      ENDIF

C
      READ(numnat,natbio)
      IF(lwp) THEN
          WRITE(0,*) 'natbio'
          WRITE(0,*) ' '
          WRITE(0,*)
     $        ' Silicon half saturation constant           =', silic0
          WRITE(0,*)
     $        ' export length for calcite                  =', pendec
          WRITE(0,*)
     $        ' export length for biogenic silicon         =', pendes
          WRITE(0,*)
     $        ' power constant for POC export              =', fluexp
          WRITE(0,*)
     $        ' mean rainratio                             =', caco3r
          WRITE(0,*)
     $        ' Calcite dissolution half saturation        =', dispo0
          WRITE(0,*)
     $        ' Phosphate half saturation                  =', conc0
          WRITE(0,*)
     $        ' Productive zone vertical indice            =', jpkb
          WRITE(0,*)
     $        ' Sediment bioturbation constant             =', sedlam
          WRITE(0,*)
     $        ' Sediment geol loss for POC            =', sedlostpoc
          WRITE(0,*)
     $        ' Sediment geol loss for SIL             =', sedlostsil
          WRITE(0,*)
     $        ' Sediment geol loss for CAL             =', sedlostcal
#    if defined key_trc_p3zd
          WRITE(0,*)
     $        ' P-I slope                                  =', pislope
          WRITE(0,*)
     $        ' Light inhibition factor                    =', betslope
          WRITE(0,*)
     $        ' pigment light absorption coeff.            =', ekc
          WRITE(0,*)
     $        ' green light absorption coeff. of water     =', ekw1
          WRITE(0,*)
     $        ' red light absorption coeff. of water       =', ekw2
          WRITE(0,*)
     $        ' excretion ratio of phytoplankton           =', excret
          WRITE(0,*)
     $        ' fraction of dead zooplankton --> POC       =', epsbio
          WRITE(0,*)
     $        ' POC sinking speed                          =', wsbio
          WRITE(0,*)
     $        ' exsudation rate of zooplankton             =', resrat
          WRITE(0,*)
     $        ' phytoplankton mortality rate               =', mprat
          WRITE(0,*)
     $        ' zooplankton mortality rate                 =', mzrat
          WRITE(0,*)
     $        ' zoo preference for phyto                   =', xprefc
          WRITE(0,*)
     $        ' zoo preference for POC                     =', xprefp
          WRITE(0,*)
     $        ' maximal zoo grazing rate                   =', grazrat
          WRITE(0,*)
     $        ' non assimilated fraction of phyto by zoo   =', unass
          WRITE(0,*)
     $        ' half saturation constant for grazing        =', xkgraz
          WRITE(0,*)
     $        ' half saturation constant for mortality     =', xkmort
          WRITE(0,*)
     $        ' half saturation constant for Si uptake     =', xksi1
          WRITE(0,*)
     $        ' half saturation constant for Si/C          =', xksi2
          WRITE(0,*)
     $        ' maximum Si/C                               =', sicmax
          WRITE(0,*)
     $        ' remineralisation rate of POC               =', xremip
          WRITE(0,*)
     $        ' remineralization rate of DOC               =', xremik
          WRITE(0,*)
     $        ' maximum sinking rate of phyto              =', smax
          WRITE(0,*)
     $        ' 1st half-sat. of DOC remineralization      =', xkdoc1
          WRITE(0,*)
     $        ' 2nd half-sat. of DOC remineralization      =', xkdoc2
          WRITE(0,*) ' '
#    endif
      ENDIF

C

#else
C
C no passive tracers
C
#endif
