C $Id$
CDIR$ LIST
      SUBROUTINE initrc
CCC---------------------------------------------------------------------
CCC
CCC                       ROUTINE initrc
CCC                     ******************
CCC
CCC  PURPOSE :
CCC  ---------
CCC     initialize the tracer model
CCC
CC   METHOD :
CC   -------
CC
CC   INPUT :
CC   -----
CC      argument		: no
CC      COMMON
CC            /cotrdr/          : passive tracer DATA READ
CC
CC   OUTPUT :
CC   ------
CC      argument                : no
CC      COMMON
CC            /cotrdr/          : passive tracer DATA READ
CC
CC   WORKSPACE :
CC   ---------
CC      ji jj jk
CC
CC
CC   EXTERNAL :
CC   --------
CC      trclec                  : reads passive tracer namelist
CC      trcctl                  : control passive tracer parameters
CC      trcini                  : passive tracer initialisation
CC      dtatrc                  : reads passive tracer DATA
CC      dtacof                  : computes passive tracer coefficients
CC      trcrst                  : reads passive tracer from restart FILE
CC
CC   MODIFICATIONS:
CC   --------------
CC      original  : 91-03 ()
CC      additions : 92-01 (C. Levy)
CC----------------------------------------------------------------------
CC parameters and commons
CC ======================
      USE oce_trc
      USE trc
      IMPLICIT NONE
CC----------------------------------------------------------------------
CC local declarations
CC ==================

#if defined key_passivetrc


CCC---------------------------------------------------------------------
CCC  OPA8, LODYC (15/11/96)
CCC---------------------------------------------------------------------
C
C 0.b PRINT the number of tracer
C ------------------------------
C
      IF(lwp) THEN
          WRITE(numout,*) ' '
          WRITE(numout,*) ' *** number of passive tracer jptra = ',jptra
          WRITE(numout,*) ' '
      ENDIF
C
C 1. READ passive tracers namelists
C ---------------------------------
C
      CALL trclec
C
C 2. control consistency between parameters, cpp key and namelists
C ----------------------------------------------------------------
C
      CALL trcctl
C
C 3. computes some initializations
C --------------------------------
C
      CALL trcini
C
C 4. restart from a FILE (nutrst)
C ----------------------
C
      IF(lrsttr) THEN
C
          CALL trcrst
C
      ELSE
C
C start from anything ELSE
C
          CALL trcdtr
C
      ENDIF
#else
C
C no passive tracers
C
#endif
C

      RETURN
      END
