MODULE par_trc_trp
   !!======================================================================
   !!                        ***  par_trc_trp  ***
   !! passive tracers :   set the number of passive tracers
   !!======================================================================
   !! History :
   !!   9.0  !  04-03  (C. Ethe)  Orignal
   !!----------------------------------------------------------------------
#if defined key_passivetrc
   !!---------------------------------------------------------------------
   !!   'key_passivetrc'   :                               Passive tracer
   !!---------------------------------------------------------------------
   !!----------------------------------------------------------------------
   !!  OPA 9.0, LODYC-IPSL (2004)
   !!----------------------------------------------------------------------

   IMPLICIT NONE
   PUBLIC
   
   !! jptra   : number of passive tracers
   !! jpdia2d : additional 2d output
   !! jpdia3d : additional 3d output

#if defined key_trc_npzd
   !!---------------------------------------------------------------------
   !!   'key_trc_npzd'   :                    NPZD Source Minus Sink model
   !!---------------------------------------------------------------------
   INTEGER, PUBLIC, PARAMETER :: jptra   = 4
#if defined key_trc_diaadd
   INTEGER, PUBLIC, PARAMETER :: jpdia2d = 1
   INTEGER, PUBLIC, PARAMETER :: jpdia3d = 1
#endif
#elif defined key_trc_lobster1
   !!---------------------------------------------------------------------
   !!   'key_trc_lobster1'   :            LOBSTER1 Source Minus Sink model
   !!---------------------------------------------------------------------
   INTEGER, PUBLIC, PARAMETER :: jptra   = 6
#if defined key_trc_diaadd
   INTEGER, PUBLIC, PARAMETER :: jpdia2d = 18
   INTEGER, PUBLIC, PARAMETER :: jpdia3d = 3
#endif
#elif defined key_trc_hamocc3
#  if defined key_trc_p3zd
#       if defined key_trc_biohamocc13
   !!---------------------------------------------------------------------
   !!   'key_trc_p3zd && key_trc_biohamocc13' P3ZD Source Minus Sink model
   !!---------------------------------------------------------------------
   INTEGER, PUBLIC, PARAMETER :: jptra   = 11
#if defined key_trc_diaadd
   INTEGER, PUBLIC, PARAMETER :: jpdia2d = 1
   INTEGER, PUBLIC, PARAMETER :: jpdia3d = 1
#endif
   !!---------------------------------------------------------------------
   !!   'key_trc_p3zd'   :                    P3ZD Source Minus Sink model
   !!---------------------------------------------------------------------
#       else
   INTEGER, PUBLIC, PARAMETER :: jptra   = 10
   INTEGER, PUBLIC, PARAMETER :: jpdia2d = 1
   INTEGER, PUBLIC, PARAMETER :: jpdia3d = 1
#       endif
#   else
   !!---------------------------------------------------------------------
   !!  'key_trc_hamocc3 && key_trc_biohamocc13' HAMMOCC Source Minus Sink model
   !!---------------------------------------------------------------------
#       if defined key_trc_biohamocc13
   INTEGER, PUBLIC, PARAMETER :: jptra   = 8
#if defined key_trc_diaadd
   INTEGER, PUBLIC, PARAMETER :: jpdia2d = 1
   INTEGER, PUBLIC, PARAMETER :: jpdia3d = 1
#endif
#       else
   !!---------------------------------------------------------------------
   !!  'key_trc_hamocc3 ' HAMMOCC Source Minus Sink model
   !!---------------------------------------------------------------------
   INTEGER, PUBLIC, PARAMETER :: jptra   = 7
#if defined key_trc_diaadd
   INTEGER, PUBLIC, PARAMETER :: jpdia2d = 1
   INTEGER, PUBLIC, PARAMETER :: jpdia3d = 1
#endif
#       endif
#   endif
#elif defined key_cfc
   !!---------------------------------------------------------------------
   !!   'key_trc_cfc'   :                      CFC Source Minus Sink model
   !!---------------------------------------------------------------------
   INTEGER, PUBLIC, PARAMETER :: jptra   = 2
#if defined key_trc_diaadd
   INTEGER, PUBLIC, PARAMETER :: jpdia2d = 1
   INTEGER, PUBLIC, PARAMETER :: jpdia3d = 1
#endif
#elif defined key_gosac
   !!---------------------------------------------------------------------
   !!   'key_trc_gosac'   :                  GOSAC Source Minus Sink model
   !!---------------------------------------------------------------------
   INTEGER, PUBLIC, PARAMETER :: jptra   = 2
#if defined key_trc_diaadd
   INTEGER, PUBLIC, PARAMETER :: jpdia2d = 1
   INTEGER, PUBLIC, PARAMETER :: jpdia3d = 1
#endif
#elif defined key_trc_age
   !!---------------------------------------------------------------------
   !!   'key_trc_age'   :                    AGE Source Minus Sink model
   !!---------------------------------------------------------------------
   INTEGER, PUBLIC, PARAMETER :: jptra   = 2
#if defined key_trc_diaadd
   INTEGER, PUBLIC, PARAMETER :: jpdia2d = 1
   INTEGER, PUBLIC, PARAMETER :: jpdia3d = 1
#endif
#elif defined key_trc_pisces
   !!---------------------------------------------------------------------
   !!   'key_trc_pisces'   :                  PISCES Source Minus Sink model
   !!---------------------------------------------------------------------
   INTEGER, PUBLIC, PARAMETER :: jptra   = 24
#if defined key_trc_diaadd
   INTEGER, PUBLIC, PARAMETER :: jpdia2d = 13
   INTEGER, PUBLIC, PARAMETER :: jpdia3d = 11
#endif
#else
   !!---------------------------------------------------------------------
   !!   'default'   :          temperature and salinity as passive tracers
   !!---------------------------------------------------------------------
   INTEGER, PUBLIC, PARAMETER :: jptra   = 2
#if defined key_trc_diaadd
   INTEGER, PUBLIC, PARAMETER :: jpdia2d = 1
   INTEGER, PUBLIC, PARAMETER :: jpdia3d = 1
#endif
#endif

#else
   !!======================================================================
   !!  Empty module : No passive tracer 
   !!======================================================================
#endif

END MODULE par_trc_trp
