C $Id$
CDIR$ LIST
      SUBROUTINE trcsms( kt )
CCC---------------------------------------------------------------------
CCC
CCC                       ROUTINE trcsms
CCC                     *****************
CCC
CCC  PURPOSE :
CCC  ---------
CCC	time loop of opa for passive tracer
CCC
CC   METHOD :
CC   -------
CC      compute the well/spring evolution
CC
CC   INPUT :
CC   -----
CC      argument
CC              ktask           : task identificator
CC              kt              : time step
CC      COMMON
CC		all the COMMON defined in opa
CC
CC
CC   OUTPUT :			: no
CC   ------
CC
CC   WORKSPACE :
CC   ---------
CC
CC   EXTERNAL :
CC   --------
CC      trcbio, trcsed, trcopt for NPZD or LOBSTER1 models
CC
CC      h3cprg for HAMOC3 and P3ZD models
CC
CC
CC   MODIFICATIONS:
CC   --------------
CC      original  : 96-11
CC      additions : 99-07 (M. Levy)
CC                  04-00 (O. Aumont, M.A. Foujols) HAMOCC3 and P3ZD
CC                  12-00 (O. Aumont, E. Kestenare) add trcexp for 
CC                                                 instantaneous export
CC----------------------------------------------------------------------
CC parameters and commons
CC ======================
CDIR$ NOLIST
      USE oce_trc
      USE trc
      IMPLICIT NONE
CDIR$ LIST
CC----------------------------------------------------------------------
CC local declarations
CC ==================
      INTEGER kt

#if defined key_passivetrc
C
CCC---------------------------------------------------------------------
CCC  OPA8, LODYC (15/11/96)
CCC---------------------------------------------------------------------
C
C
C this ROUTINE is called only every ndttrc time step
C

      IF (mod(kt,ndttrc) .NE. 0) RETURN
C
C this first routines are parallelized on vertical slab
C
C
#    if defined key_trc_npzd || defined key_trc_lobster1
C
C tracers: optical model
C ----------------------
C
       CALL trcopt( kt)
C
C tracers: biological model
C -------------------------
C
       CALL trcbio( kt)
C
C tracers: sedimentation model
C ----------------------------
C
       CALL trcsed(kt)
       CALL trcexp
C
#    elif defined key_trc_hamocc3
C
C    h3cprg: main PROGRAM for HAMOCC3 or P3ZD models
C    -----------------------------------------------
       CALL h3cprg(kt)
#    elif defined key_trc_pisces
C
C    p4zprg: main PROGRAM for PISCES 
C    -------------------------------
       CALL p4zprg(kt)
#    else
C
C SMS to DO
C
#if defined key_cfc
C
C   CFC's code taken from K. Rodgers
C
C   This part is still experimental
C   -------------------------------
C
       CALL trcfreons(kt)
C
#elif defined key_gosac
C
C    C14 tracer modeled according to the OCMIP protocol
C    This part has not been really tested in this configuration
C
C Compute the alkalinity
C
          CALL alkal(kt)
C
C  Compute the radioactive decay
C
          CALL decay
C
C Tracers: surface flux
C
          CALL dicgasflux(kt)

#    endif

#    endif

# if defined key_trc_age
C
C Age Tracer 
C
          CALL trcage(kt)

# endif

#else
C
C no passive tracers
C
#endif
C

      RETURN
      END
